RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Business.Service.TeamService Class Reference

## Public Member Functions
Team | myTeam () throws Exception
Team | findID (Long id) throws Exception
Team | findName (String name) throws Exception
List< Team > | getAll ()
void | create (TeamObj teamObj) throws Exception
void | remove () throws Exception
void | rename (String name) throws Exception
void | addMember (String uuid) throws Exception
void | removeMember (String uuid) throws Exception
void | leaveTeam () throws Exception

## Detailed Description

Zajistuje spravu tymu

## Member Function Documentation

## ◆ addMember()

void com.robogames.RoboCupMS.Business.Service.TeamService.addMember | ( | String | uuid | ) | throws Exception
| inline

Prida do tymu noveho clena

Parameters

  id | ID clena, ktery ma byt pridat do tymu

Exceptions

  Exception |

## ◆ create()

void com.robogames.RoboCupMS.Business.Service.TeamService.create | ( | TeamObj | teamObj | ) | throws Exception
| inline

Vytvori novy tym. Uzivatel, ktery tym vytvari se stava jeho vedoucim.

Parameters

  teamObj | Parametry noveho tymu

Exceptions

  Exception |

## ◆ findID()

Team com.robogames.RoboCupMS.Business.Service.TeamService.findID | ( | Long | id | ) | throws Exception
| inline

Navrati info o tymu s konkretnim ID

Parameters

  id | ID tymu

Returns
  Tym s kokretim ID

Exceptions

  Exception |

## ◆ findName()

Team com.robogames.RoboCupMS.Business.Service.TeamService.findName | ( | String | name | ) | throws Exception
| inline

Navrati info o tymu s konkretnim jmenem

Parameters

  name | Jmeno tymu

Returns
  Tym s konkretim jmenem

Exceptions

  Exception |

## ◆ getAll()

List<Team> com.robogames.RoboCupMS.Business.Service.TeamService.getAll | ( |  | ) |
| inline

Navrati vsechny tymy

Returns
  Seznam vsech tymu

## ◆ leaveTeam()

void com.robogames.RoboCupMS.Business.Service.TeamService.leaveTeam | ( |  | ) | throws Exception
| inline

Opusti tym, ve ktrem se prihlaseny uzivatel aktualne nachazi. Pokud tim kdo opousti tym je jeho vedouci pak se automaticky urci novy vedouci.

## ◆ myTeam()

Team com.robogames.RoboCupMS.Business.Service.TeamService.myTeam | ( |  | ) | throws Exception
| inline

Navrati info o tymu, ve kterem se prihlaseny uzivatel nachazi

Parameters

  id | ID tymu

Returns
  Tym, ve kterem se prihlaseny uzivatel nachazi

Exceptions

  Exception |

## ◆ remove()

void com.robogames.RoboCupMS.Business.Service.TeamService.remove | ( |  | ) | throws Exception
| inline

Odstrani tym z databaze

Exceptions

  Exception |

## ◆ removeMember()

void com.robogames.RoboCupMS.Business.Service.TeamService.removeMember | ( | String | uuid | ) | throws Exception
| inline

Odebere z tymu jednoho clena

Parameters

  id | ID clena, ktery ma byt odebran z tymu

Exceptions

  Exception |

## ◆ rename()

void com.robogames.RoboCupMS.Business.Service.TeamService.rename | ( | String | name | ) | throws Exception
| inline

Prejmenuje tym (pouze vedouci tymu)

Parameters

  name | Nove jmeno tymu

Exceptions

  Exception |

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Service/TeamService.java